package jeux.jeu;
import jeux.levels.Level;
import jeux.levels.LooserEndMenu;
import jeux.levels.MainMenu;
import jeux.levels.WinnerEndMenu;

import org.newdawn.slick.GameContainer;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.state.StateBasedGame;
import org.newdawn.slick.state.transition.FadeInTransition;
import org.newdawn.slick.state.transition.FadeOutTransition;


/**
 * @author jub
 * La classe space Invader permet en fonction du monde d'initialiser les niveaux.
 */
public class SpaceInvader extends StateBasedGame {
	private World world;
	

	/**
	 * Construit les niveaux, 0: le menu initial, 1: le premier niveau, n: le dernier niveau, n+1: le menu gagnant, n+2: le menu perdant.
	 * @param world le monde utilis par les niveaux
	 */
	public SpaceInvader(World world) {
		super(world.getName());
		this.world = world;
		
		
		this.addState(new MainMenu(0, world));
		for (int i=1; i <= world.getLevelNumber(); i++)
			this.addState(new Level(i, world, "musics/level2ingame.mod"));
		this.addState(new WinnerEndMenu(world.getLevelNumber()+1, world));
		this.addState(new LooserEndMenu(world.getLevelNumber()+2, world));
		
		this.enterState(0, new FadeInTransition(), new FadeOutTransition());

	}

	@Override
	public void initStatesList(GameContainer container) throws SlickException {
		this.getState(0).init(container, this);
		for (int i=1; i <= world.getLevelNumber(); i++)
			this.getState(i).init(container, this);
		this.getState(world.getLevelNumber()+1).init(container, this);
		this.getState(world.getLevelNumber()+2).init(container, this);
	}

}
