package jeux.levels;

import jeux.jeu.World;

import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Graphics;
import org.newdawn.slick.Input;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.state.BasicGameState;
import org.newdawn.slick.state.StateBasedGame;

/**
 * @author jub
 * Le premier de nos niveaux, la page d'accueil.
 */
public class LooserEndMenu extends BasicGameState {
	/**
	 * L'identifiant du niveau
	 */
	private int stateID;
	
	/**
	 *Le ;onde 
	 */
	private World world;
	
	
	/**
	 * Construit le niveau en initialisant l'identifiant
	 * @param stateID l'identifiant choisi.
	 */
	public LooserEndMenu(int stateID, World world ) {
		super();
		this.world = world;
		this.stateID = stateID;
	}

	@Override
	public void init(GameContainer container, StateBasedGame game)
			throws SlickException {
		
		
	}

	@Override
	public void render(GameContainer container, StateBasedGame game, Graphics g)
			throws SlickException {
		String s = "Perdu, appuyer sur Enter pour quitter";
		int width = g.getFont().getWidth(s);
		int heigh = g.getFont().getHeight(s);
		g.drawString(s, (world.getWidth()-width)/2, (world.getHeight()-heigh)/2);
		
	}

	@Override
	public void update(GameContainer container, StateBasedGame game, int delta)
			throws SlickException {
		Input input = container.getInput();
		if (input.isKeyDown(Input.KEY_ENTER))
			container.exit();//permet de quitter le jeu
		
	}

	@Override
	public int getID() {
		// TODO Auto-generated method stub
		return this.stateID;
	}

}
