package jeux.levels;

import jeux.entities.Monster;
import jeux.entities.Player;
import jeux.jeu.World;

import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Graphics;
import org.newdawn.slick.Input;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.state.BasicGameState;
import org.newdawn.slick.state.StateBasedGame;
import org.newdawn.slick.state.transition.BlobbyTransition;
import org.newdawn.slick.state.transition.EmptyTransition;

/**
 * @author jub
 * Le premier de nos niveaux, la page d'accueil.
 */
public class MainMenu extends BasicGameState {
	/**
	 * L'identifiant du niveau
	 */
	private int stateID;
	
	/**
	 *Le monde 
	 */
	private World world;
	
	
	/**
	 * Construit le niveau en initialisant l'identifiant
	 * @param stateID l'identifiant choisi.
	 */
	public MainMenu(int stateID, World world ) {
		super();
		this.world = world;
		this.stateID = stateID;
		for (int i = 0; i< 5; i++)
		{
			Monster monster = new Monster(world);
			monster.setWidth(30);
			monster.setHeight(30);

			monster.setX((int) (Math.random()*(world.getWidth()-monster.getWidth())));
			monster.setY(i*35);
			monster.setSpeed((int) (Math.random()*2+1));

			world.addEntity(monster);

		}
		//le player
		Player player= new Player(world);
		player = new Player(world);
		player.setWidth(30);
		player.setHeight(30);
		player.setX(0);
		player.setY(world.getHeight()-player.getHeight());
		player.setSpeed(5);
		world.addEntity(player);
		world.setPlayer(player);
	}

	@Override
	public void init(GameContainer container, StateBasedGame game)
			throws SlickException {
		
		
	}

	@Override
	public void render(GameContainer container, StateBasedGame game, Graphics g)
			throws SlickException {
		String s = "Appuyer sur Enter pour Commencer";
		int width = g.getFont().getWidth(s);
		int heigh = g.getFont().getHeight(s);
		g.drawString(s, (world.getWidth()-width)/2, (world.getHeight()-heigh)/2);
		
	}

	@Override
	public void update(GameContainer container, StateBasedGame game, int delta)
			throws SlickException {
		Input input = container.getInput();
		if (input.isKeyDown(Input.KEY_ENTER))
		{
			
			
			game.enterState(this.stateID+1, new EmptyTransition(), new BlobbyTransition());
		}
	}

	@Override
	public int getID() {
		// TODO Auto-generated method stub
		return this.stateID;
	}

}
